/**
 *
 */
package com.ims.eval.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.ims.core.entity.DataEntity;

import java.util.Date;

/**
 * 指标Entity
 * @author wang
 * @version 2023-02-23
 */
public class Indicator extends DataEntity<Indicator> {

	private static final long serialVersionUID = 1L;
	private String indicatorName;		// 指标名称
	private String indicatorCede;		// 指标编码
	private String unit;		// 指标单位
	private String isQuantified;		// 能否量化
	private String isAdditional;		// 是否专项
	private String des;		// 描述
	private String binSection;		// 业务版块
	private String binStage;		// 业务阶段
	private String dept;		// 部门
	private String company;		// 公司
	private String enable;		// 是否启用
	private Date createTime;		// 创建时间
	private Date updateTime;		// 修改时间
	private String remark;		// 备注
	private String orderNum;		// 排序


	public Indicator() {
		super();
	}

	public Indicator(String id){
		super(id);
	}

	public String getIndicatorName() {
		return indicatorName;
	}

	public void setIndicatorName(String indicatorName) {
		this.indicatorName = indicatorName;
	}
	public String getIndicatorCede() {
		return indicatorCede;
	}

	public void setIndicatorCede(String indicatorCede) {
		this.indicatorCede = indicatorCede;
	}
	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}
	public String getIsQuantified() {
		return isQuantified;
	}

	public void setIsQuantified(String isQuantified) {
		this.isQuantified = isQuantified;
	}
	public String getIsAdditional() {
		return isAdditional;
	}

	public void setIsAdditional(String isAdditional) {
		this.isAdditional = isAdditional;
	}
	public String getDes() {
		return des;
	}

	public void setDes(String des) {
		this.des = des;
	}
	public String getBinSection() {
		return binSection;
	}

	public void setBinSection(String binSection) {
		this.binSection = binSection;
	}
	public String getBinStage() {
		return binStage;
	}

	public void setBinStage(String binStage) {
		this.binStage = binStage;
	}
	public String getDept() {
		return dept;
	}

	public void setDept(String dept) {
		this.dept = dept;
	}
	public String getCompany() {
		return company;
	}

	public void setCompany(String company) {
		this.company = company;
	}
	public String getEnable() {
		return enable;
	}

	public void setEnable(String enable) {
		this.enable = enable;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(String orderNum) {
		this.orderNum = orderNum;
	}

}
