/**
 *
 */
package com.ims.eval.entity;


import com.ims.core.entity.DataEntity;
import com.fasterxml.jackson.annotation.JsonIgnore;
/**
 * 目标责任书指标Entity
 * @author wang
 * @version 2023-02-23
 */
public class DeptResponsibilityTarget extends DataEntity<DeptResponsibilityTarget> {

	private static final long serialVersionUID = 1L;
	private String responsibilityId;		// 目标责任书ID
	private String indicatorId;		// 指标ID
	private String quantizationTarget;		// 量化目标
	private String quantizationTargetActual;		// 量化目标完成值
	private String evaluationTarget;		// 评价目标
	private String evaluationTargetActual;		// 评价目标完成值
	private String monthThreshold;		// 月度预警零界值
	private String seasonThreshold;		// 季度预警零界值
	private String yearThreshold;		// 年度预警零界值
	private String direction;		// 方向
	private String orderNum;		// 排序
	private String remark;		// 备注
	private String target1;		// 一月目标
	private String actual1;		// 一月完成值
	private String target2;		// 二月目标
	private String actual2;		// 二月完值
	private String target3;		// 三月目标
	private String actual3;		// 三月完成值
	private String target4;		// 四月目标
	private String actual4;		// 四月完成值
	private String target5;		// 五月目标
	private String actual5;		// 五月完成值
	private String target6;		// 六月目标
	private String actual6;		// 六月完成值
	private String target7;		// 七月目标
	private String actual7;		// 七月完成值
	private String target8;		// 八月目标
	private String actual8;		// 八月完成值
	private String target9;		// 九月目标
	private String actual9;		// 九月完成值
	private String target10;		// 十月目标
	private String actual10;		// 十月完成值
	private String target11;		// 十一月目标
	private String actual11;		// 十一月完成值
	private String target12;		// 十二月目标
	private String actual12;		// 十二月完成值


	public DeptResponsibilityTarget() {
		super();
	}

	public DeptResponsibilityTarget(String id){
		super(id);
	}

	public String getResponsibilityId() {
		return responsibilityId;
	}

	public void setResponsibilityId(String responsibilityId) {
		this.responsibilityId = responsibilityId;
	}
	public String getIndicatorId() {
		return indicatorId;
	}

	public void setIndicatorId(String indicatorId) {
		this.indicatorId = indicatorId;
	}
	public String getQuantizationTarget() {
		return quantizationTarget;
	}

	public void setQuantizationTarget(String quantizationTarget) {
		this.quantizationTarget = quantizationTarget;
	}
	public String getQuantizationTargetActual() {
		return quantizationTargetActual;
	}

	public void setQuantizationTargetActual(String quantizationTargetActual) {
		this.quantizationTargetActual = quantizationTargetActual;
	}
	public String getEvaluationTarget() {
		return evaluationTarget;
	}

	public void setEvaluationTarget(String evaluationTarget) {
		this.evaluationTarget = evaluationTarget;
	}
	public String getEvaluationTargetActual() {
		return evaluationTargetActual;
	}

	public void setEvaluationTargetActual(String evaluationTargetActual) {
		this.evaluationTargetActual = evaluationTargetActual;
	}
	public String getMonthThreshold() {
		return monthThreshold;
	}

	public void setMonthThreshold(String monthThreshold) {
		this.monthThreshold = monthThreshold;
	}
	public String getSeasonThreshold() {
		return seasonThreshold;
	}

	public void setSeasonThreshold(String seasonThreshold) {
		this.seasonThreshold = seasonThreshold;
	}
	public String getYearThreshold() {
		return yearThreshold;
	}

	public void setYearThreshold(String yearThreshold) {
		this.yearThreshold = yearThreshold;
	}
	public String getDirection() {
		return direction;
	}

	public void setDirection(String direction) {
		this.direction = direction;
	}
	public String getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(String orderNum) {
		this.orderNum = orderNum;
	}
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getTarget1() {
		return target1;
	}

	public void setTarget1(String target1) {
		this.target1 = target1;
	}
	public String getActual1() {
		return actual1;
	}

	public void setActual1(String actual1) {
		this.actual1 = actual1;
	}
	public String getTarget2() {
		return target2;
	}

	public void setTarget2(String target2) {
		this.target2 = target2;
	}
	public String getActual2() {
		return actual2;
	}

	public void setActual2(String actual2) {
		this.actual2 = actual2;
	}
	public String getTarget3() {
		return target3;
	}

	public void setTarget3(String target3) {
		this.target3 = target3;
	}
	public String getActual3() {
		return actual3;
	}

	public void setActual3(String actual3) {
		this.actual3 = actual3;
	}
	public String getTarget4() {
		return target4;
	}

	public void setTarget4(String target4) {
		this.target4 = target4;
	}
	public String getActual4() {
		return actual4;
	}

	public void setActual4(String actual4) {
		this.actual4 = actual4;
	}
	public String getTarget5() {
		return target5;
	}

	public void setTarget5(String target5) {
		this.target5 = target5;
	}
	public String getActual5() {
		return actual5;
	}

	public void setActual5(String actual5) {
		this.actual5 = actual5;
	}
	public String getTarget6() {
		return target6;
	}

	public void setTarget6(String target6) {
		this.target6 = target6;
	}
	public String getActual6() {
		return actual6;
	}

	public void setActual6(String actual6) {
		this.actual6 = actual6;
	}
	public String getTarget7() {
		return target7;
	}

	public void setTarget7(String target7) {
		this.target7 = target7;
	}
	public String getActual7() {
		return actual7;
	}

	public void setActual7(String actual7) {
		this.actual7 = actual7;
	}
	public String getTarget8() {
		return target8;
	}

	public void setTarget8(String target8) {
		this.target8 = target8;
	}
	public String getActual8() {
		return actual8;
	}

	public void setActual8(String actual8) {
		this.actual8 = actual8;
	}
	public String getTarget9() {
		return target9;
	}

	public void setTarget9(String target9) {
		this.target9 = target9;
	}
	public String getActual9() {
		return actual9;
	}

	public void setActual9(String actual9) {
		this.actual9 = actual9;
	}
	public String getTarget10() {
		return target10;
	}

	public void setTarget10(String target10) {
		this.target10 = target10;
	}
	public String getActual10() {
		return actual10;
	}

	public void setActual10(String actual10) {
		this.actual10 = actual10;
	}
	public String getTarget11() {
		return target11;
	}

	public void setTarget11(String target11) {
		this.target11 = target11;
	}
	public String getActual11() {
		return actual11;
	}

	public void setActual11(String actual11) {
		this.actual11 = actual11;
	}
	public String getTarget12() {
		return target12;
	}

	public void setTarget12(String target12) {
		this.target12 = target12;
	}
	public String getActual12() {
		return actual12;
	}

	public void setActual12(String actual12) {
		this.actual12 = actual12;
	}

}