/**
 *
 */
package com.ims.eval.service.impl;

import java.util.List;
import com.ims.core.utils.IdGen;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.ims.core.persistence.Page;
import com.ims.core.service.impl.CrudServiceImpl;

import com.ims.eval.service.IDdeptResponsibilityService;

import com.ims.eval.entity.DdeptResponsibility;
import com.ims.eval.dao.DdeptResponsibilityDao;


/**
 * 部门目标责任Service
 * @author wang
 * @version 2023-02-23
 */
@Service
@Transactional(readOnly = true)
public class DdeptResponsibilityServiceImpl extends CrudServiceImpl<DdeptResponsibilityDao, DdeptResponsibility> implements IDdeptResponsibilityService{

 	public DdeptResponsibility get(DdeptResponsibility ddeptResponsibility) {
		return super.get(ddeptResponsibility);
	}

    public List<DdeptResponsibility> findList(DdeptResponsibility ddeptResponsibility) {
        return super.findList(ddeptResponsibility);
    }

	public List<DdeptResponsibility> findAllListM(DdeptResponsibility ddeptResponsibility,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
	 	return super.findAllListM(ddeptResponsibility,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Page<DdeptResponsibility> findPageM(Page<DdeptResponsibility> page, DdeptResponsibility ddeptResponsibility,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
		return super.findPageM(page, ddeptResponsibility,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public DdeptResponsibility initInsert(DdeptResponsibility ddeptResponsibility)  {
		return super.initInsert(ddeptResponsibility);
	}

	@Transactional(readOnly = false)
	public void checkSave(DdeptResponsibility ddeptResponsibility) {
		super.checkSave(ddeptResponsibility);
	}

	@Transactional(readOnly = false)
	public DdeptResponsibility save(DdeptResponsibility ddeptResponsibility, boolean isNewRecord){
	    if(isNewRecord){
	        ddeptResponsibility.setId(IdGen.uuid());
	    }
		return super.save(ddeptResponsibility,isNewRecord);
	}

    @Transactional(readOnly = false)
    @Override
    public void insertList(List<DdeptResponsibility> list){
        super.insertList(list);
    }

	@Transactional(readOnly = false)
	public void checkRemove(DdeptResponsibility ddeptResponsibility,String baseFilter){
		super.checkRemove(ddeptResponsibility,baseFilter);
	}

	@Transactional(readOnly = false)
	public void delete(DdeptResponsibility ddeptResponsibility,String baseFilter) {
		super.delete(ddeptResponsibility,baseFilter);
	}
}