/**
 *
 */
package com.ims.eval.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.ims.core.entity.DataEntity;

import java.util.Date;

/**
 * 部门目标责任Entity
 * @author wang
 * @version 2023-02-23
 */
public class DdeptResponsibility extends DataEntity<DdeptResponsibility> {

	private static final long serialVersionUID = 1L;
	private String deptId;		// 部门ID
	private String cycleUnit;		// 周期单位
	private String checkCycle;		// 周期
	private Date beginDate;		// 考核开始时间
	private Date endDate;		// 考核截止时间
	private String stage;		// 审批状态
	private String des;		// 描述
	private Date createTime;		// 创建时间
	private Date updateTime;		// 更新时间
	private String reviewPeople;		// 复审人
	private Date reviewPeopleTime;		// 复审时间
	private String reviewOpinion;		// 复审意见
	private String finalReviewPeople;		// 终审人
	private Date finalReviewPeopleTime;		// 终审时间
	private String finalReviewOpinion;		// 终审意见
	private String remark;		// 备注


	public DdeptResponsibility() {
		super();
	}

	public DdeptResponsibility(String id){
		super(id);
	}

	public String getDeptId() {
		return deptId;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}
	public String getCycleUnit() {
		return cycleUnit;
	}

	public void setCycleUnit(String cycleUnit) {
		this.cycleUnit = cycleUnit;
	}
	public String getCheckCycle() {
		return checkCycle;
	}

	public void setCheckCycle(String checkCycle) {
		this.checkCycle = checkCycle;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public String getStage() {
		return stage;
	}

	public void setStage(String stage) {
		this.stage = stage;
	}
	public String getDes() {
		return des;
	}

	public void setDes(String des) {
		this.des = des;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	public String getReviewPeople() {
		return reviewPeople;
	}

	public void setReviewPeople(String reviewPeople) {
		this.reviewPeople = reviewPeople;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getReviewPeopleTime() {
		return reviewPeopleTime;
	}

	public void setReviewPeopleTime(Date reviewPeopleTime) {
		this.reviewPeopleTime = reviewPeopleTime;
	}
	public String getReviewOpinion() {
		return reviewOpinion;
	}

	public void setReviewOpinion(String reviewOpinion) {
		this.reviewOpinion = reviewOpinion;
	}
	public String getFinalReviewPeople() {
		return finalReviewPeople;
	}

	public void setFinalReviewPeople(String finalReviewPeople) {
		this.finalReviewPeople = finalReviewPeople;
	}
	@JSONField(format = "yyyy-MM-dd HH:mm:ss")
	public Date getFinalReviewPeopleTime() {
		return finalReviewPeopleTime;
	}

	public void setFinalReviewPeopleTime(Date finalReviewPeopleTime) {
		this.finalReviewPeopleTime = finalReviewPeopleTime;
	}
	public String getFinalReviewOpinion() {
		return finalReviewOpinion;
	}

	public void setFinalReviewOpinion(String finalReviewOpinion) {
		this.finalReviewOpinion = finalReviewOpinion;
	}
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

}
